# $Revision: 1.12 $, $Date: 2010/02/20 15:54:08 $

Summary:	template library for linear algebra
Name:		eigen
Version:	2.0.12
Release:	3
Epoch:		1
License:	GPL v2
Group:		Libraries
Source0:	http://bitbucket.org/eigen/eigen/get/2.0.tar.bz2
# Source0-md5:	a2f10e6b21a36f3c0ef73271209f706f
URL:		http://eigen.tuxfamily.org/
BuildRequires:	cmake >= 2.6.2
Obsoletes:	%{name}-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eigen is a C++ template library for linear algebra: vectors, matrices,
and related algorithms. It is:

- Versatile. (See modules and tutorial). Eigen handles, without code
  duplication, and in a completely integrated way: o both fixed-size and
  dynamic-size matrices and vectors. o both dense and sparse (the latter
  is still experimental) matrices and vectors. o both plain
  matrices/vectors and abstract expressions. o both column-major (the
  default) and row-major matrix storage. o both basic matrix/vector
  manipulation and many more advanced, specialized modules providing
  algorithms for linear algebra, geometry, quaternions, or advanced
  array manipulation.
- Fast. (See benchmark). o Expression templates allow to intelligently
  remove temporaries and enable lazy evaluation, when that is
  appropriate -- Eigen takes care of this automatically and handles
  aliasing too in most cases. o Explicit vectorization is performed for
  the SSE (2 and later) and AltiVec instruction sets, with graceful
  fallback to non-vectorized code. Expression templates allow to perform
  these optimizations globally for whole expressions. o With fixed-size
  objects, dynamic memory allocation is avoided, and the loops are
  unrolled when that makes sense. o For large matrices, special
  attention is paid to cache-friendliness.
- Elegant. (See API showcase). The API is extremely clean and
  expressive, thanks to expression templates. Implementing an algorithm
  on top of Eigen feels like just copying pseudocode. You can use
  complex expressions and still rely on Eigen to produce optimized code:
  there is no need for you to manually decompose expressions into small
  steps.
- Compiler-friendy. Eigen has very reasonable compilation times at
  least with GCC, compared to other C++ libraries based on expression
  templates and heavy metaprogramming. Eigen is also standard C++ and
  supports various compilers.

%prep
%setup -q -n %{name}

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_CXX_COMPILER_WORKS=1 \
	-DCMAKE_CXX_COMPILER="%{__cc}" \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_pkgconfigdir}
cp build/eigen2.pc $RPM_BUILD_ROOT/%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_includedir}/eigen2
%{_pkgconfigdir}/eigen2.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eigen.spec,v $
Revision 1.12  2010/02/20 15:54:08  shadzik
- kill -devel subpackage, it's useless anyway
- rel 3

Revision 1.11  2010/02/19 15:19:39  shadzik
- ekhem, fix -devel
- rel 2

Revision 1.10  2010/02/19 15:07:08  shadzik
- epoch 1 to make sure 2.0.12 > 2.0.52 (which was development and is on builders)

Revision 1.9  2010/02/18 18:45:51  shadzik
- reverted back to version 2.0.12
- on DEVEL there is 3.0dev

Revision 1.8  2010/02/18 18:42:42  shadzik
- 2.91

Revision 1.7  2009/12/02 01:17:58  sparky
- trick cmake not to require unneeded c++ compiler

Revision 1.6  2009/07/29 22:21:53  shadzik
- merged from DEVEL

Revision 1.5.2.3  2009/07/13 21:20:59  shadzik
- reverted :)

Revision 1.5.2.2  2009/06/30 08:02:31  shadzik
- rm unneeded eigen2.pc

Revision 1.5.2.1  2009/06/11 13:43:57  paszczus
- 2.0.52-stable

Revision 1.5  2009/06/11 13:33:50  paszczus
- updated to stable 2.0.2
- better description (from project site)

Revision 1.4  2009/01/28 19:48:24  shadzik
- 2.0 rc1

Revision 1.3  2009/01/05 00:31:28  glen
- release 1

Revision 1.2  2008/11/02 17:06:09  shadzik
- use install instead of mkdir

Revision 1.1  2008/11/02 11:32:15  rotom
- initial
